#ifndef UPDATER_H
#define UPDATER_H

#include <Thread.h>

using namespace Framework;

class ShopServer;

class Updater : private Thread
{
private:
    ShopServer *shs;
    bool beenden;
    int ref;

public:
    // Konstruktor
    Updater( ShopServer *ahServ );
    // Destruktor
    virtual ~Updater();
    // nicht constant
    void thread() override;
    // Reference Counting
    Updater *getThis();
    Updater *release();
};

#endif